Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.PrepareSoundResult

    java.lang.Object
      java.lang.Enum<Skype.PrepareSoundResult>
          com.skype.api.Skype.PrepareSoundResult

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Skype.PrepareSoundResult>

Enclosing class:
  Skype

    public static enum Skype.PrepareSoundResult

extends java.lang.Enum<Skype.PrepareSoundResult>
implements EnumConverting

Enum Constant Summary
`PREPARESOUND_FILE_NOT_FOUND`
`PREPARESOUND_FILE_READ_ERROR`
`PREPARESOUND_FILE_TOO_BIG`
`PREPARESOUND_MISC_ERROR`
`PREPARESOUND_PLAYBACK_NOT_SUPPORTED`
`PREPARESOUND_SUCCESS`
`PREPARESOUND_UNSUPPORTED_FILE_FORMAT`

Field Summary
`static int` | `PREPARESOUND_FILE_NOT_FOUND_VALUE`
`static int` | `PREPARESOUND_FILE_READ_ERROR_VALUE`
`static int` | `PREPARESOUND_FILE_TOO_BIG_VALUE`
`static int` | `PREPARESOUND_MISC_ERROR_VALUE`
`static int` | `PREPARESOUND_PLAYBACK_NOT_SUPPORTED_VALUE`
`static int` | `PREPARESOUND_SUCCESS_VALUE`
`static int` | `PREPARESOUND_UNSUPPORTED_FILE_FORMAT_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Skype.PrepareSoundResult` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Skype.PrepareSoundResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.PrepareSoundResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PREPARESOUND_SUCCESS

    public static final Skype.PrepareSoundResult PREPARESOUND_SUCCESS

### PREPARESOUND_MISC_ERROR

    public static final Skype.PrepareSoundResult PREPARESOUND_MISC_ERROR

### PREPARESOUND_FILE_NOT_FOUND

    public static final Skype.PrepareSoundResult PREPARESOUND_FILE_NOT_FOUND

### PREPARESOUND_FILE_TOO_BIG

    public static final Skype.PrepareSoundResult PREPARESOUND_FILE_TOO_BIG

### PREPARESOUND_FILE_READ_ERROR

    public static final Skype.PrepareSoundResult PREPARESOUND_FILE_READ_ERROR

### PREPARESOUND_UNSUPPORTED_FILE_FORMAT

    public static final Skype.PrepareSoundResult PREPARESOUND_UNSUPPORTED_FILE_FORMAT

### PREPARESOUND_PLAYBACK_NOT_SUPPORTED

    public static final Skype.PrepareSoundResult PREPARESOUND_PLAYBACK_NOT_SUPPORTED

Field Detail

### PREPARESOUND_SUCCESS_VALUE

    public static final int PREPARESOUND_SUCCESS_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_MISC_ERROR_VALUE

    public static final int PREPARESOUND_MISC_ERROR_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_FILE_NOT_FOUND_VALUE

    public static final int PREPARESOUND_FILE_NOT_FOUND_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_FILE_TOO_BIG_VALUE

    public static final int PREPARESOUND_FILE_TOO_BIG_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_FILE_READ_ERROR_VALUE

    public static final int PREPARESOUND_FILE_READ_ERROR_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_UNSUPPORTED_FILE_FORMAT_VALUE

    public static final int PREPARESOUND_UNSUPPORTED_FILE_FORMAT_VALUE

See Also:
  Constant Field Values

### PREPARESOUND_PLAYBACK_NOT_SUPPORTED_VALUE

    public static final int PREPARESOUND_PLAYBACK_NOT_SUPPORTED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Skype.PrepareSoundResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.PrepareSoundResult c : Skype.PrepareSoundResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.PrepareSoundResult valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Skype.PrepareSoundResult get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.